%global modname zope.datetime

Summary: Zope datetime utilities
Name: python-zope-datetime
Version: 3.4.1
Release: 6%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.datetime
# register the test suite in setup.py
Patch0: python-zope-datetime-3.4.1-run_tests.patch

BuildRequires: python2-devel
BuildRequires: python-setuptools


%description
This package provides commonly used date and time related utility functions.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p0 -b .run_tests

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot}

%check
%{__python} setup.py test

%files
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt
# Co-own %%{python_sitelib}/zope/
%dir %{python_sitelib}/zope/
%{python_sitelib}/zope/datetime/
%exclude %{python_sitelib}/zope/datetime/tests/
%{python_sitelib}/%{modname}-*.egg-info
%{python_sitelib}/%{modname}-*-nspkg.pth


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Mar 25 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.4.1-1
- Update to 3.4.1
- Drop BR python-zope-testing

* Sat Sep 18 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.0-3
- Co-own %%{python_sitelib}/zope/

* Sat Sep 18 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.0-2
- Requires: python-zope-filesystem and python-setuptools removed
- Spec cleaned up
- Exlude the tests from installation
- Add a small patch and %%check section and run tests
- BR: python-zope-testing added for tests

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.0-1
- Initial packaging
